```@meta
CurrentModule = Lux
```

## Containers

```@docs
BranchLayer
Chain
PairwiseFusion
Parallel
SkipConnection
```

## Convolutional Layers

```@docs
Conv
```

## Dropout Layers

```@docs
Dropout
VariationalHiddenDropout
```

## Pooling Layers

```@docs
AdaptiveMaxPool
AdaptiveMeanPool
GlobalMaxPool
GlobalMeanPool
MaxPool
MeanPool
```

## Linear Layers

```@docs
Dense
Scale
```

## Misc. Helper Layers

```@docs
ActivationFunction
FlattenLayer
NoOpLayer
ReshapeLayer
SelectDim
WrappedFunction
```

## Normalization Layers

```@docs
BatchNorm
GroupNorm
WeightNorm
```

## Upsampling

```@docs
Upsample
```

## Index

```@index
Pages = ["layers.md"]
```
